UpdateMatchingWorkflow
Updates an existing matching workflow. The workflow must already exist for this operation to succeed.
Important
For workflows where resolutionType is PROVIDER, incremental
processing is not supported.
Request Syntax
PUT /matchingworkflows/workflowName HTTP/1.1
Content-type: application/json
{
"description": "string",
"incrementalRunConfig": {
"incrementalRunType": "string"
},
"inputSourceConfig": [
{
"applyNormalization": boolean,
"inputSourceARN": "string",
"schemaName": "string"
}
],
"outputSourceConfig": [
{
"applyNormalization": boolean,
"customerProfilesIntegrationConfig": {
"domainArn": "string",
"objectTypeArn": "string"
},
"KMSArn": "string",
"output": [
{
"hashed": boolean,
"name": "string"
}
],
"outputS3Path": "string"
}
],
"resolutionTechniques": {
"providerProperties": {
"intermediateSourceConfiguration": {
"intermediateS3Path": "string"
},
"providerConfiguration": JSON value,
"providerServiceArn": "string"
},
"resolutionType": "string",
"ruleBasedProperties": {
"attributeMatchingModel": "string",
"matchPurpose": "string",
"rules": [
{
"matchingKeys": [ "string" ],
"ruleName": "string"
}
]
},
"ruleConditionProperties": {
"matchingConfig": {
"enableTransitiveMatching": boolean
},
"rules": [
{
"condition": "string",
"ruleName": "string"
}
]
}
},
"roleArn": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- workflowName
-
The name of the workflow to be retrieved.
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z_0-9-]*Required: Yes
Request Body
The request accepts the following data in JSON format.
- description
-
A description of the workflow.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 255.
Required: No
- incrementalRunConfig
-
Optional. An object that defines the incremental run type. This object contains only the
incrementalRunTypefield, which appears as "Automatic" in the console.Important
For workflows where
resolutionTypeisPROVIDER, incremental processing is not supported.Type: IncrementalRunConfig object
Required: No
- inputSourceConfig
-
A list of
InputSourceobjects, which have the fieldsInputSourceARNandSchemaName.Type: Array of InputSource objects
Array Members: Minimum number of 1 item. Maximum number of 20 items.
Required: Yes
- outputSourceConfig
-
A list of
OutputSourceobjects, each of which contains fieldsoutputS3Path,applyNormalization,KMSArn, andoutput.Type: Array of OutputSource objects
Array Members: Fixed number of 1 item.
Required: Yes
- resolutionTechniques
-
An object which defines the
resolutionTypeand theruleBasedProperties.Type: ResolutionTechniques object
Required: Yes
- roleArn
-
The Amazon Resource Name (ARN) of the IAM role. AWS Entity Resolution assumes this role to create resources on your behalf as part of workflow execution.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"description": "string",
"incrementalRunConfig": {
"incrementalRunType": "string"
},
"inputSourceConfig": [
{
"applyNormalization": boolean,
"inputSourceARN": "string",
"schemaName": "string"
}
],
"outputSourceConfig": [
{
"applyNormalization": boolean,
"customerProfilesIntegrationConfig": {
"domainArn": "string",
"objectTypeArn": "string"
},
"KMSArn": "string",
"output": [
{
"hashed": boolean,
"name": "string"
}
],
"outputS3Path": "string"
}
],
"resolutionTechniques": {
"providerProperties": {
"intermediateSourceConfiguration": {
"intermediateS3Path": "string"
},
"providerConfiguration": JSON value,
"providerServiceArn": "string"
},
"resolutionType": "string",
"ruleBasedProperties": {
"attributeMatchingModel": "string",
"matchPurpose": "string",
"rules": [
{
"matchingKeys": [ "string" ],
"ruleName": "string"
}
]
},
"ruleConditionProperties": {
"matchingConfig": {
"enableTransitiveMatching": boolean
},
"rules": [
{
"condition": "string",
"ruleName": "string"
}
]
}
},
"roleArn": "string",
"workflowName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- description
-
A description of the workflow.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 255.
- incrementalRunConfig
-
An object which defines an incremental run type and has only
incrementalRunTypeas a field.Type: IncrementalRunConfig object
- inputSourceConfig
-
A list of
InputSourceobjects, which have the fieldsInputSourceARNandSchemaName.Type: Array of InputSource objects
Array Members: Minimum number of 1 item. Maximum number of 20 items.
- outputSourceConfig
-
A list of
OutputSourceobjects, each of which contains fieldsoutputS3Path,applyNormalization,KMSArn, andoutput.Type: Array of OutputSource objects
Array Members: Fixed number of 1 item.
- resolutionTechniques
-
An object which defines the
resolutionTypeand theruleBasedProperties.Type: ResolutionTechniques object
- roleArn
-
The Amazon Resource Name (ARN) of the IAM role. AWS Entity Resolution assumes this role to create resources on your behalf as part of workflow execution.
Type: String
- workflowName
-
The name of the workflow.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z_0-9-]*
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
This exception occurs when there is an internal failure in the AWS Entity Resolution service.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource couldn't be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by AWS Entity Resolution.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: